## unixodbc 2.2.4

=== gODBCConfig/po/Makefile ===
# Generated automatically from Makefile.in.in by configure.
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.

PACKAGE = gODBCConfig
VERSION = 1.8.8

SHELL = /bin/sh


srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}
datadir = $(prefix)/share
localedir = $(datadir)/locale
gnulocaledir = $(prefix)/share/locale
gettextsrcdir = $(prefix)/share/gettext/po
subdir = po

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = $(top_srcdir)/./mkinstalldirs

CC = gcc
GENCAT = 
GMSGFMT = PATH=../src:$$PATH /usr/bin/msgfmt
MSGFMT = /usr/bin/msgfmt
XGETTEXT = PATH=../src:$$PATH /usr/bin/xgettext
MSGMERGE = PATH=../src:$$PATH msgmerge

DEFS = -DHAVE_CONFIG_H
CFLAGS = -g -O2 -Wall -Wunused -Wmissing-prototypes -Wmissing-declarations 
CPPFLAGS =  -I/usr/local/lib/glib/include -I/usr/local/include -I/usr/X11R6/include

INCLUDES = -I.. -I$(top_srcdir)/intl

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

SOURCES = cat-id-tbl.c
POFILES = 
GMOFILES = 
DISTFILES = ChangeLog Makefile.in.in POTFILES.in $(PACKAGE).pot \
stamp-cat-id $(POFILES) $(GMOFILES) $(SOURCES)

POTFILES = \
	../src/main.c \
	../src/odbcconfig.c \
	../src/callbacks.c \
	../src/support.c

CATALOGS = 
CATOBJEXT = .gmo
INSTOBJEXT = .mo

.SUFFIXES:
.SUFFIXES: .c .o .po .pox .gmo .mo .msg .cat

.c.o:
	$(COMPILE) $<

.po.pox:
	$(MAKE) $(PACKAGE).pot
	$(MSGMERGE) $< $(srcdir)/$(PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=$(srcdir)/`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && $(GENCAT) $@ $*.msg


all: all-yes

all-yes: cat-id-tbl.c $(CATALOGS)
all-no:

$(srcdir)/$(PACKAGE).pot: $(POTFILES)
	$(XGETTEXT) --default-domain=$(PACKAGE) --directory=$(top_srcdir) \
	  --add-comments --keyword=_ --keyword=N_ \
	  --files-from=$(srcdir)/POTFILES.in \
	&& test ! -f $(PACKAGE).po \
	   || ( rm -f $(srcdir)/$(PACKAGE).pot \
		&& mv $(PACKAGE).po $(srcdir)/$(PACKAGE).pot )

$(srcdir)/cat-id-tbl.c: stamp-cat-id; @:
$(srcdir)/stamp-cat-id: $(PACKAGE).pot
	rm -f cat-id-tbl.tmp
	sed -f ../intl/po2tbl.sed $(srcdir)/$(PACKAGE).pot \
		| sed -e "s/@PACKAGE NAME@/$(PACKAGE)/" > cat-id-tbl.tmp
	if cmp -s cat-id-tbl.tmp $(srcdir)/cat-id-tbl.c; then \
	  rm cat-id-tbl.tmp; \
	else \
	  echo cat-id-tbl.c changed; \
	  rm -f $(srcdir)/cat-id-tbl.c; \
	  mv cat-id-tbl.tmp $(srcdir)/cat-id-tbl.c; \
	fi
	cd $(srcdir) && rm -f stamp-cat-id && echo timestamp > stamp-cat-id


install: install-exec install-data
install-exec:
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	if test -r "$(MKINSTALLDIRS)"; then \
	  $(MKINSTALLDIRS) $(datadir); \
	else \
	  $(SHELL) $(top_srcdir)/mkinstalldirs $(datadir); \
	fi
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  case "$$cat" in \
	    *.gmo) destdir=$(gnulocaledir);; \
	    *)     destdir=$(localedir);; \
	  esac; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  dir=$$destdir/$$lang/LC_MESSAGES; \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $$dir; \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $$dir; \
	  fi; \
	  if test -r $$cat; then \
	    $(INSTALL_DATA) $$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
	    echo "installing $$cat as $$dir/$(PACKAGE)$(INSTOBJEXT)"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
	    echo "installing $(srcdir)/$$cat as" \
		 "$$dir/$(PACKAGE)$(INSTOBJEXT)"; \
	  fi; \
	  if test -r $$cat.m; then \
	    $(INSTALL_DATA) $$cat.m $$dir/$(PACKAGE)$(INSTOBJEXT).m; \
	    echo "installing $$cat.m as $$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
	  else \
	    if test -r $(srcdir)/$$cat.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$cat.m \
		$$dir/$(PACKAGE)$(INSTOBJEXT).m; \
	      echo "installing $(srcdir)/$$cat as" \
		   "$$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done
	if test "$(PACKAGE)" = "gettext"; then \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $(gettextsrcdir); \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $(gettextsrcdir); \
	  fi; \
	  $(INSTALL_DATA) $(srcdir)/Makefile.in.in \
			  $(gettextsrcdir)/Makefile.in.in; \
	else \
	  : ; \
	fi

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  rm -f $(localedir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT); \
	  rm -f $(localedir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT).m; \
	  rm -f $(gnulocaledir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT); \
	  rm -f $(gnulocaledir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT).m; \
	done
	rm -f $(gettextsrcdir)/po-Makefile.in.in

check: all

cat-id-tbl.o: ../intl/libgettext.h

dvi info tags TAGS ID:

mostlyclean:
	rm -f core core.* *.pox $(PACKAGE).po *.old.po cat-id-tbl.tmp
	rm -fr *.o

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES *.mo *.msg *.cat *.cat.m

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f $(GMOFILES)

distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: update-po $(DISTFILES)
	dists="$(DISTFILES)"; \
	for file in $$dists; do \
	  ln $(srcdir)/$$file $(distdir) 2> /dev/null \
	    || cp -p $(srcdir)/$$file $(distdir); \
	done

update-po: Makefile
	$(MAKE) $(PACKAGE).pot
	PATH=`pwd`/../src:$$PATH; \
	cd $(srcdir); \
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  mv $$lang.po $$lang.old.po; \
	  echo "$$lang:"; \
	  if $(MSGMERGE) $$lang.old.po $(PACKAGE).pot -o $$lang.po; then \
	    rm -f $$lang.old.po; \
	  else \
	    echo "msgmerge for $$cat failed!"; \
	    rm -f $$lang.po; \
	    mv $$lang.old.po $$lang.po; \
	  fi; \
	done

POTFILES: POTFILES.in
	( if test 'x$(srcdir)' != 'x.'; then \
	    posrcprefix='$(top_srcdir)/'; \
	  else \
	    posrcprefix="../"; \
	  fi; \
	  rm -f $@-t $@ \
	    && (sed -e '/^#/d' -e '/^[ 	]*$$/d' \
		    -e "s@.*@	$$posrcprefix& \\\\@" < $(srcdir)/$@.in \
		| sed -e '$$s/\\$$//') > $@-t \
	    && chmod a-w $@-t \
	    && mv $@-t $@ )

Makefile: Makefile.in.in ../config.status POTFILES
	cd .. \
	  && CONFIG_FILES=$(subdir)/$@.in CONFIG_HEADERS= \
	       $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## unixodbc 2.2.11

=== gODBCConfig/po/Makefile ===
# Makefile for PO directory in any package using GNU gettext.
# Copyright (C) 1995-1997, 2000-2002 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file can be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU General Public
# License but which still want to provide support for the GNU gettext
# functionality.
# Please note that the actual code of GNU gettext is covered by the GNU
# General Public License and is *not* in the public domain.

PACKAGE = gODBCConfig
VERSION = 1.8.8

SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr/local
exec_prefix = ${prefix}
datadir = ${prefix}/share
localedir = $(datadir)/locale
gettextsrcdir = $(datadir)/gettext/po

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = ./mkinstalldirs
mkinstalldirs = $(SHELL) `case "$(MKINSTALLDIRS)" in /*) echo "$(MKINSTALLDIRS)" ;; *) echo "$(top_builddir)/$(MKINSTALLDIRS)" ;; esac`

GMSGFMT = /usr/bin/msgfmt
MSGFMT = /usr/bin/msgfmt
XGETTEXT = /usr/bin/xgettext
MSGMERGE = msgmerge
MSGMERGE_UPDATE = /usr/bin/msgmerge --update
MSGINIT = msginit
MSGCONV = msgconv
MSGFILTER = msgfilter

POFILES = 
GMOFILES = 
UPDATEPOFILES = 
DUMMYPOFILES = 
DISTFILES.common = Makefile.in.in Makevars remove-potcdate.sin \
$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
DISTFILES = $(DISTFILES.common) POTFILES.in $(DOMAIN).pot \
$(POFILES) $(GMOFILES) \
$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)

POTFILES = \
     ../src/main.c \
     ../src/odbcconfig.c \
     ../src/callbacks.c \
     ../src/support.c

CATALOGS = 

# Makevars gets inserted here. (Don't remove this line!)
# Makefile variables for PO directory in any package using GNU gettext.

# Usually the message domain is the same as the package name.
DOMAIN = $(PACKAGE)

# These two variables depend on the location of this directory.
subdir = po
top_builddir = ..

# These options get passed to xgettext.
XGETTEXT_OPTIONS = --keyword=_ --keyword=N_

# This is the copyright holder that gets inserted into the header of the
# $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
# package.  (Note that the msgstr strings, extracted from the package's
# sources, belong to the copyright holder of the package.)  Translators are
# expected to transfer the copyright for their translations to this person
# or entity, or to disclaim their copyright.  The empty string stands for
# the public domain; in this case the translators are expected to disclaim
# their copyright.
COPYRIGHT_HOLDER = The unixODBC project

# This is the list of locale categories, beyond LC_MESSAGES, for which the
# message catalogs shall be used.  It is usually empty.
EXTRA_LOCALE_CATEGORIES =

.SUFFIXES:
.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-update

.po.mo:
	@echo "$(MSGFMT) -c -o $@ $<"; \
	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@

.po.gmo:
	@lang=`echo $* | sed -e 's,.*/,,'`; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o $${lang}.gmo $${lang}.po"; \
	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo

.sin.sed:
	sed -e '/^#/d' $< > t-$@
	mv t-$@ $@


all: all-yes

all-yes: $(CATALOGS)
all-no:

# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
# otherwise packages like GCC can not be built if only parts of the source
# have been downloaded.

$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
	$(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	  --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) \
	  --files-from=$(srcdir)/POTFILES.in \
	  --copyright-holder='$(COPYRIGHT_HOLDER)'
	test ! -f $(DOMAIN).po || { \
	  if test -f $(srcdir)/$(DOMAIN).pot; then \
	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
	    else \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	    fi; \
	  else \
	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	  fi; \
	}

$(srcdir)/$(DOMAIN).pot:
	$(MAKE) $(DOMAIN).pot-update

$(POFILES): $(srcdir)/$(DOMAIN).pot
	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	echo "$${cdcmd}$(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot"; \
	cd $(srcdir) && $(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot


install: install-exec install-data
install-exec:
install-data: install-data-yes
	if test "$(PACKAGE)" = "gettext"; then \
	  $(mkinstalldirs) $(DESTDIR)$(gettextsrcdir); \
	  for file in $(DISTFILES.common); do \
	    $(INSTALL_DATA) $(srcdir)/$$file \
			    $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi
install-data-no: all
install-data-yes: all
	$(mkinstalldirs) $(DESTDIR)$(datadir)
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkinstalldirs) $(DESTDIR)$$dir; \
	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
	    if test -n "$$lc"; then \
	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
	         for file in *; do \
	           if test -f $$file; then \
	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
	           fi; \
	         done); \
	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	      else \
	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
	          :; \
	        else \
	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        fi; \
	      fi; \
	      rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	      ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
	      ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
	      cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	      echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
	    fi; \
	  done; \
	done

install-strip: install

installdirs: installdirs-exec installdirs-data
installdirs-exec:
installdirs-data: installdirs-data-yes
	if test "$(PACKAGE)" = "gettext"; then \
	  $(mkinstalldirs) $(DESTDIR)$(gettextsrcdir); \
	else \
	  : ; \
	fi
installdirs-data-no:
installdirs-data-yes:
	$(mkinstalldirs) $(DESTDIR)$(datadir)
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkinstalldirs) $(DESTDIR)$$dir; \
	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
	    if test -n "$$lc"; then \
	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
	         for file in *; do \
	           if test -f $$file; then \
	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
	           fi; \
	         done); \
	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	      else \
	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
	          :; \
	        else \
	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        fi; \
	      fi; \
	    fi; \
	  done; \
	done

# Define this as empty until I found a useful application.
installcheck:

uninstall: uninstall-exec uninstall-data
uninstall-exec:
uninstall-data: uninstall-data-yes
	if test "$(PACKAGE)" = "gettext"; then \
	  for file in $(DISTFILES.common); do \
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi
uninstall-data-no:
uninstall-data-yes:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
	    rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	  done; \
	done

check: all

dvi info tags TAGS ID:

mostlyclean:
	rm -f remove-potcdate.sed
	rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
	rm -fr *.o

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES *.mo

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f $(GMOFILES)

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir:
	$(MAKE) update-po
	@$(MAKE) dist2
# This is a separate target because 'update-po' must be executed before.
dist2: $(DISTFILES)
	dists="$(DISTFILES)"; \
	if test -f $(srcdir)/ChangeLog; then dists="$$dists ChangeLog"; fi; \
	if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \
	for file in $$dists; do \
	  if test -f $$file; then \
	    cp -p $$file $(distdir); \
	  else \
	    cp -p $(srcdir)/$$file $(distdir); \
	  fi; \
	done

update-po: Makefile
	$(MAKE) $(DOMAIN).pot-update
	$(MAKE) $(UPDATEPOFILES)
	$(MAKE) update-gmo

# General rule for updating PO files.

.nop.po-update:
	@lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
	if test "$(PACKAGE)" = "gettext"; then PATH=`pwd`/../src:$$PATH; fi; \
	tmpdir=`pwd`; \
	echo "$$lang:"; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	echo "$${cdcmd}$(MSGMERGE) $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
	cd $(srcdir); \
	if $(MSGMERGE) $$lang.po $(DOMAIN).pot -o $$tmpdir/$$lang.new.po; then \
	  if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
	    rm -f $$tmpdir/$$lang.new.po; \
	  else \
	    if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
	      :; \
	    else \
	      echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
	      exit 1; \
	    fi; \
	  fi; \
	else \
	  echo "msgmerge for $$lang.po failed!" 1>&2; \
	  rm -f $$tmpdir/$$lang.new.po; \
	fi

$(DUMMYPOFILES):

update-gmo: Makefile $(GMOFILES)
	@:

Makefile: Makefile.in.in $(top_builddir)/config.status POTFILES.in
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@.in CONFIG_HEADERS= \
	       $(SHELL) ./config.status

force:

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
# Special Makefile rules for English message catalogs with quotation marks.

DISTFILES.common.extra1 = quot.sed boldquot.sed en@quot.header en@boldquot.header insert-header.sin Rules-quot

.SUFFIXES: .insert-header .po-update-en

en@quot.po-update: en@quot.po-update-en
en@boldquot.po-update: en@boldquot.po-update-en

.insert-header.po-update-en:
	@lang=`echo $@ | sed -e 's/\.po-update-en$$//'`; \

## unixodbc 2.3.6

=== debian/changelog ===
unixodbc (2.3.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #888968).
    - Fix buffer overflow when calling unicode_to_ansi_copy() in
      DriverManager/SQLDriverConnectW.c (CVE-2018-7409) (Closes: #891596).
    - Package upstream manpages instead of Debian versions (Closes: #893891).
    - Fix potential buffer overflow vulnerabilities in SQLDriverConnect
      functions (CVE-2012-2657 and CVE-2012-2658) (Closes: #675058).
    - Install pkg-config files (Closes: #422207).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debhelper package compatibility to level 11.
  * debian/changelog: Remove trailing whitespace.
  * debian/control:
    - Build-Depend on debhelper version 11.
    - Remove dh-autoreconf from the Build-Depends list.
    - Raise Standards-Version to 4.1.4 from 3.9.8 (no changes needed).
    - Remove the Vcs-fields until the package repository moves to Salsa.
    - Remove the deprecated Priority: extra field from unixodbc-dev.
    - Use the inherited Section field for libodbc1 and odbcinst1debian2.
    - Update package descriptions for odbcinst1debian2 and odbcinst.
    - Drop un-needed Conflicts field from unixodbc.
  * debian/copyright:
    - Use secure HTTP in the Format field.
    - Update Copyright information for unixODBC 2.3.6.
  * debian/docs:
     - Rename to unixodbc.docs.
  * debian/patches:
    - Convert unixodbc_2.3.4-1.1.diff into patches.
    - Add a patch to prevent __post_inernal_error() from being exported.
    - Add a patch to fix spelling errors in DRVConfig/txt/drvcfg.c.
    - Add a patch to fix spelling and formatting in odbcinst.ini.5.
    - Forward some patches upstream.
  * debian/rules:
    - Add 'hardening=+all' to DEB_BUILD_MAINT_OPTIONS.
    - Remove '--with autoreconf' (now handled by debhelper >= level 10).
    - Remove dh_auto_clean override.
    - Compile with the default CXXFLAGS options.
  * Add debian/watch file.
  * Remove a lintian override (symbols-file-contains-debian-revision).
  * Remove debian/clean (no longer needed).
  * Remove debian/odbcinst.postinst (no longer needed).
  * Remove debian/dirs: /usr/lib/odbc has been replaced by multi-arch paths.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Wed, 09 May 2018 21:53:53 +1000

unixodbc (2.3.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Mark unixodbc-dev Multi-Arch: same (Closes: #872411).
    - Depend on libltdl-dev instead of libltdl3-dev.
  * debian/rules:
    - Compile with --enable-fastvalidate to avoid performance degradation
      when working with large numbers of handles (Closes: #819622).
    - Move unixodbc_conf.h to /usr/include/<triplet> to avoid
      a file conflict on multi-arch systems.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 07 Nov 2017 18:12:44 +1100

unixodbc (2.3.4-1) unstable; urgency=medium

  * New upstream release.  Closes: #843847.
    - Drop patches to autogenerated files in the source tree, since we use
      dh-autoreconf already.
    - Drop AM_MAINTAINER_MODE, no longer needed due to the above.
    - Drop no-longer-used lintian override.
  * Standards-Version to 3.9.8.

 -- Steve Langasek <vorlon@debian.org>  Mon, 12 Dec 2016 10:55:09 +0000

unixodbc (2.3.1-5) unstable; urgency=low

  * Make unixodbc-dev depend directly on libodbc1, not just transitively
    via unixodbc, now that unixodbc is Multi-Arch: foreign.
    Closes: #839170.
  * Fix unixodbc-dev package section.  Closes: #813991.

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Sep 2016 13:13:32 -0700

unixodbc (2.3.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use AC_CONFIG_MACRO_DIR([libltdl/m4]) in configure.in
    instead of ACLOCAL_AMFLAGS=-I libltdl/m4 in Makefile.am
    to add libltdl/m4 macro directory. Closes: #818407.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 04 Apr 2016 23:51:00 +0200

unixodbc (2.3.1-4) unstable; urgency=medium

  * odbcinst/_SQLGetInstalledDrivers.c: don't open /etc/odbcinst.ini for
    writing when we never write to it.  Closes: #801258.

 -- Steve Langasek <vorlon@debian.org>  Wed, 07 Oct 2015 19:29:52 -0700

unixodbc (2.3.1-3) unstable; urgency=low

  * DriverManager/SQLConnect.c: put a mutex around the call to
    lt_dlsetsearchpath(), to avoid double-frees in a multithreaded context.
    Closes: #746423.

 -- Steve Langasek <vorlon@debian.org>  Wed, 30 Apr 2014 00:35:50 +0000

unixodbc (2.3.1-2) unstable; urgency=medium

  * Use dh-autoreconf instead of a homegrown autotools target; this fixes
    problems caused by config.sub having the wrong permissions in the upstream
    tarball.  Closes: #738516.

 -- Steve Langasek <vorlon@debian.org>  Sun, 06 Apr 2014 09:58:18 +0000

unixodbc (2.3.1-1) unstable; urgency=low

  * New upstream release.  Closes: #650267.
    - Drop changes to exe/isql.c, exe/odbcinst.c, exe/iusql.c, fixed
      differently upstream.
    - Drop libgtrtst library from libodbc1; this is technically an ABI
      change, but nothing has ever used this library so we're not changing
      the package name.
    - Since the library ABI has not changed in Debian (ever), keep the
      package names the same and provide backwards-compatible symlinks to
      avoid an unnecessary library transition; and update the symbols/shlibs
      to make it clear the old versions of the library don't satisfy these
      dependencies any longer.
  * Bump the build dependency on debhelper to 9.
  * Fix LDFLAGS handling so that we pick up hardening flags properly.
    Closes: #717257.
  * Fix debian/copyright to comply with copyright-format 1.0.
  * Update to Standards-Version 3.9.4.
  * Fix the section of the odbcinst package.  Closes: #663077.
  * Update the odbcinst manpage to document all the current options.
    Closes: #709968

 -- Steve Langasek <vorlon@debian.org>  Mon, 14 Oct 2013 06:10:57 +0000

unixodbc (2.2.14p2-5) unstable; urgency=low

  * Mark unixodbc Multi-Arch: foreign.



=== debian/control ===
Source: unixodbc
Build-Depends: debhelper (>= 11), dh-exec, libreadline-dev, libltdl-dev
Build-Conflicts: unixodbc-dev
Section: libs
Priority: optional
Maintainer: Steve Langasek <vorlon@debian.org>
Standards-Version: 4.1.4
Homepage: http://www.unixodbc.org/

Package: unixodbc
Architecture: any
Multi-Arch: foreign
Section: database
Depends: ${shlibs:Depends}, ${misc:Depends}, libodbc1 (>= 2.2.14p2-3)
Description: Basic ODBC tools
 UnixODBC is an implementation of the Open Database Connectivity standard,
 a database abstraction layer that allows applications to be used with
 many different relational databases by way of a single library.
 .
 This package contains isql, a command-line tool that allows SQL commands
 to be entered interactively.

Package: libodbc1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: libmyodbc, odbc-postgresql, tdsodbc, unixodbc-bin
Breaks: unixodbc (<< 2.2.14p2-3)
Replaces: unixodbc (<< 2.2.14p2-3)
Description: ODBC library for Unix
 UnixODBC is an implementation of the Open DataBase Connectivity standard,
 a database abstraction layer that allows applications to be used with
 many different relational databases by way of a single library.
 .
 This package provides the UnixODBC shared library, libodbc; and
 libodbctxt.so, a sample driver that reads from and writes to flat text
 files.

Package: unixodbc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libodbc1 (= ${binary:Version}),
	odbcinst1debian2 (= ${binary:Version}),
	libltdl-dev, ${misc:Depends}
Conflicts: libiodbc2-dev
Description: ODBC libraries for UNIX (development files)
 This package contains the development files (headers and libraries) for
 unixODBC, an implementation of the Open DataBase Connectivity interface
 for Unix systems.  You should not need to install this package unless
 you intend to develop C language applications which use ODBC, or to
 compile ODBC-using applications from source.

Package: odbcinst1debian2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, odbcinst
Pre-Depends: ${misc:Pre-Depends}
Replaces: unixodbc (<< 2.1.1-2)
Conflicts: odbcinst1, odbcinst1debian1
Breaks: libmyodbc (<< 5.1.6-2), tdsodbc (<< 0.82-8),
	odbc-postgresql (<< 1:09.00.0310-1.1)
Description: Support library for accessing odbc ini files
 This package contains the libodbcinst library from unixODBC, a library
 used by ODBC drivers for reading their configuration settings from
 /etc/odbc.ini and ~/.odbc.ini.
 .
 Also contained in this package are the driver setup plugins, which
 describe the features supported by individual ODBC drivers.

Package: odbcinst
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: unixodbc (<< 2.1.1-2), odbcinst1debian1 (<< 2.2.11-20), odbcinst1
Conflicts: odbcinst1
Description: Helper program for accessing odbc ini files
 UnixODBC is an implementation of the Open DataBase Connectivity standard,
 a database abstraction layer that allows applications to be used with
 many different relational databases by way of a single library.
 .
 This package contains the odbcinst helper tool, which allows ODBC driver
 packages to install their own driver settings.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2009 Steve Langasek <vorlon@debian.org>

# build should fail if anything at all is wrong with the library symbols
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
# always force the check for undefined symbols
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-static --enable-ltdllib --without-pth \
		--enable-drivers --enable-driverc --enable-fastvalidate

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/odbc
	cp -L $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/lib*S.so $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libnn.so $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/odbc
	mkdir -p $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)
	mv $(CURDIR)/debian/tmp/usr/include/unixodbc_conf.h $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)

override_dh_makeshlibs:
	dh_makeshlibs -X lib/$(DEB_HOST_MULTIARCH)/odbc/lib

override_dh_link:
	chmod a+x debian/libodbc1.links debian/odbcinst1debian2.links
	dh_link

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/unixodbc-$1\.tar\.gz/ \
  https://github.com/lurcher/unixodbc/tags .*/v?(\d\S+)\.tar\.gz

## unixodbc 2.3.9

=== debian/changelog ===
unixodbc (2.3.9-5ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write
    - debian/patches/CVE-2024-1013.patch: fix incompatible pointer-to-int
      types in Drivers/Postgre7.1/info.c.
    - CVE-2024-1013

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 21 Mar 2024 08:18:10 -0300

unixodbc (2.3.9-5) unstable; urgency=medium

  * debian/copyright: Extend copyright to 2022.
  * debian/patches:
    - unixodbc_conf.patch: Replace inclusion of unixodbc_conf.h with
      minimal preprocessor definitions (Closes: #1005887).
    - Remove sizeof_long_int.patch (superseded by unixodbc_conf.patch).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 22 Feb 2022 22:48:14 +1100

unixodbc (2.3.9-4) unstable; urgency=medium

  * debian/control:
    - odbcinst1debian2 breaks odbc-postgresql (<< 1:13.02.0000-2).
    - unixodbc-dev breaks libdbd-odbc-perl (<< 1.61-2).
    - Add odbcinst as a dependency of odbcinst1debian2 for compatibility.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 30 Nov 2021 23:18:15 +1100

unixodbc (2.3.9-3) unstable; urgency=medium

  * debian/control: libodbc1 also depends on libodbccr2 (Closes: #1000465).
  * debian/not-installed: Add upstream-generated odbcinst.ini file.
  * unixodbc-common:
    - Do not install odbcinst.ini as a conffile.
    - Add maintscripts to manage the odbcinst.ini file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 26 Nov 2021 22:59:37 +1100

unixodbc (2.3.9-2) unstable; urgency=medium

  * Release to unstable.
  * debian/control:
    - Raise Standards-Version to 4.6.0 (no changes needed).
    - Reinstate libodbc1 and odbcinst1debian2 as transitional packages, and
      install compatibility symlinks to the libodbc*2 libraries.
    - Drop the libltdl-dev dependency from unixodbc-dev (Closes: #997870).
  * debian/rules: Don't install the upstream ChangeLog.
  * debian/source/lintian-overrides:
    - Silence some 'very-long-line-length-in-source-file' messages.
  * unixodbc: Don't install the upstream NEWS file.
  * Remove legacy debian/NEWS file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 23 Nov 2021 21:37:59 +1100

unixodbc (2.3.9-1) experimental; urgency=medium

  * New upstream version (Closes: #971900).
    - Driver logging is now disabled by default (Closes: #740538).
    - Prevent truncation of odbc.ini by only opening the file for writing when
      it is safe to do so (Closes: #885463, #885472).
  * New maintainer: Hugh McMaster.
    - Thank you to Steve Langasek for maintaining unixODBC over the years.
  * libodbc2 has replaced libodbc1:
    - Update install and symbols files.
    - Add Build-Depends-Package meta-information field to the symbols file.
    - Remove legacy libodbc1 files (links, lintian-overrides, dirs, postrm).
  * Split libodbccr2 from libodbc2.
  * Split libodbcinst2 from odbcinst1debian2.
  * ODBC drivers and driver config modules are no longer installed.
    - Please switch to packages supplied by ODBC driver vendors.
  * Move the ODBC configuration files/dirs to the new unixodbc-common package.
  * unixodbc-dev: autotest.h and unixodbc_conf.h are no longer packaged.
  * debian/changelog: Fix a typo in a function name.
  * debian/control:
    - Switch to debhelper-compat v13.
    - Remove build-dependency on dh-exec.
    - Update Maintainer field.
    - Update package descriptions (Closes: #471900).
    - Unify formatting of "Open Database Connectivity".
    - Remove unneeded Breaks+Replaces fields on various packages.
    - Remove unneeded Conflicts fields on various packages.
    - Update package descriptions and dependencies.
    - No longer Suggest libmyodbc or unixodbc-bin (packages not installable).
    - New library packages: libodbc2, libodbccr2 and libodbcinst2.
    - New package for configuration files: unixodbc-common.
    - Update field order in Source stanza.
    - Add Rules-Requires-Root: no.
    - Add Vcs-* fields.
    - Raise Standards-Version to 4.5.1 from 4.1.4.
  * debian/copyright: Update for unixODBC 2.3.9 and 2021.
  * debian/patches:
    - Drop patches applied upstream: apple-altivec-defined.patch,
      makefile-am-destdir.patch, fix-DriverManager-exports.patch,
      odbcinst.ini.5-spelling.patch.
    - Drop iniopen.patch to avoid breaking third-party applications that rely
      on the unpatched file-creation behaviour.
    - Refresh and forward drvcfg-spelling.patch and multiarch-libltdl.patch.
    - Forward export-odbcinst-functions.patch upstream.
    - Add a patch to fix spelling errors in the PostgreSQL ODBC driver.
    - Add a patch to apply roman formatting instead of generating 'registered'
      symbols throughout the upstream man pages.
    - Add a patch to simplify the generation of ODBC driver config modules.
    - Add a patch to #define SIZEOF_LONG_INT using a compiler macro extension.
  * debian/rules:
    - Remove copyright statement.
    - Update configure flags so we use the system libltdl package.
    - Remove configure flags enabling the build of legacy ODBC drivers
      and driver config modules.
    - Remove unneeded dh_auto_install, dh_makeshlibs and dh_link overrides.
  * debian/watch: Point to upstream's FTP server.
  * Add Debian helper files: gbp.conf, not-installed and upstream/metadata.
  * Update symbols files and add Build-Depends-Package meta-information fields.
  * Remove legacy shell script: update-manifest.sh.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 19 Apr 2021 23:25:30 +1000

=== debian/control ===
Source: unixodbc
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
Build-Depends:
 debhelper-compat (= 13),
 libreadline-dev,
 libltdl-dev
Build-Conflicts: unixodbc-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: http://www.unixodbc.org/
Vcs-Git: https://salsa.debian.org/debian/unixodbc.git
Vcs-Browser: https://salsa.debian.org/debian/unixodbc

Package: unixodbc
Architecture: any
Multi-Arch: foreign
Section: database
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Basic ODBC tools
 UnixODBC is an implementation of the Open Database Connectivity standard,
 a database abstraction layer that allows applications to be used with
 many different relational databases by way of a single library.
 .
 This package contains isql and iusql, command-line tools that allow SQL
 commands to be entered interactively or in batches.

Package: libodbc1
Architecture: any
Multi-Arch: same
Depends: libodbc2 (= ${binary:Version}), libodbccr2 (= ${binary:Version}), ${misc:Depends}
Section: oldlibs
Description: ODBC Driver Manager library for Unix (transitional package)
 UnixODBC is an implementation of the Open Database Connectivity standard,
 a database abstraction layer that allows applications to be used with
 many different relational databases by way of a single library.
 .
 This package provides symlinks to the odbc and odbccr libraries.
 .
 This is a transitional package. It can be safely removed.

Package: libodbc2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: odbc-postgresql, tdsodbc
Replaces: libodbc1 (<< 2.3.9-1~)
Breaks: libodbc1 (<< 2.3.9-1~)
Description: ODBC Driver Manager library for Unix
 UnixODBC is an implementation of the Open Database Connectivity standard,
 a database abstraction layer that allows applications to be used with
 many different relational databases by way of a single library.
 .
 This package provides the unixODBC Driver Manager library.

Package: libodbccr2
Architecture: any
Multi-Arch: same
Depends: libodbc2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: libodbc1 (<< 2.3.9-1~)
Breaks: libodbc1 (<< 2.3.9-1~)
Description: ODBC Cursor library for Unix
 UnixODBC is an implementation of the Open Database Connectivity standard,
 a database abstraction layer that allows applications to be used with
 many different relational databases by way of a single library.
 .
 This package provides the unixODBC Cursor library.

Package: libodbcinst2
Architecture: any
Multi-Arch: same
Depends: unixodbc-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: odbcinst1debian2 (<< 2.3.9-1~)
Breaks: odbcinst1debian2 (<< 2.3.9-1~)
Description: Support library for accessing ODBC configuration files
 UnixODBC is an implementation of the Open Database Connectivity standard,
 a database abstraction layer that allows applications to be used with
 many different relational databases by way of a single library.
 .
 This package contains the odbcinst library from unixODBC, a library
 used by ODBC drivers to read their configuration from /etc/odbcinst.ini
 and the system and user-specific odbc.ini files.

Package: odbcinst
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: unixodbc-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Helper program for accessing ODBC configuration files
 UnixODBC is an implementation of the Open Database Connectivity standard,
 a database abstraction layer that allows applications to be used with
 many different relational databases by way of a single library.
 .
 This package contains the odbcinst helper tool, which allows ODBC driver
 packages to install and manage their driver configuration.

Package: odbcinst1debian2
Architecture: any
Multi-Arch: same
Depends:
 libodbcinst2 (= ${binary:Version}),
 odbcinst (= ${binary:Version}),
 ${misc:Depends}
Breaks: odbc-postgresql (<< 1:13.02.0000-2)
Section: oldlibs
Description: Support library for accessing ODBC configuration files (transitional package)
 UnixODBC is an implementation of the Open Database Connectivity standard,
 a database abstraction layer that allows applications to be used with
 many different relational databases by way of a single library.
 .
 This package contains the odbcinst library from unixODBC, a library
 used by ODBC drivers to read their configuration from /etc/odbcinst.ini
 and the system and user-specific odbc.ini files.
 .
 This package provides a symlink to the odbcinst library.
 .
 This is a transitional package. It can be safely removed.

Package: unixodbc-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: odbcinst (<< 2.3.9-1~), odbcinst1debian2 (<< 2.3.9-1~)
Breaks: odbcinst (<< 2.3.9-1~), odbcinst1debian2 (<< 2.3.9-1~)
Description: Common ODBC configuration files
 UnixODBC is an implementation of the Open Database Connectivity standard,
 a database abstraction layer that allows applications to be used with
 many different relational databases by way of a single library.
 .
 This package contains the unixODBC system configuration files, odbc.ini and
 odbcinst.ini, as well as the ODBCDataSources directory, in which system-file
 Data Source Names (DSNs) are stored.

Package: unixodbc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libodbc2 (= ${binary:Version}),
 libodbccr2 (= ${binary:Version}),
 libodbcinst2 (= ${binary:Version}),
 ${misc:Depends}
Breaks: libdbd-odbc-perl (<< 1.61-2)
Conflicts: libiodbc2-dev
Description: ODBC libraries for Unix (development files)
 UnixODBC is an implementation of the Open Database Connectivity standard,
 a database abstraction layer that allows applications to be used with
 many different relational databases by way of a single library.
 .
 This package contains the development files (headers and libraries) for
 unixODBC, which can be used to develop and/or compile C-language applications
 using ODBC.

=== debian/watch ===
version=4
ftp://ftp.unixodbc.org/pub/unixODBC/unixODBC-(\d[\.\d]+)@ARCHIVE_EXT@

## unixodbc 2.3.11

=== debian/changelog ===
unixodbc (2.3.11-2) unstable; urgency=medium

  * debian/control: Update Standards-Version to 4.6.1 (no changes needed).
  * unixodbc-dev: Install unixodbc.h and unixODBC/unixodbc_conf.h into a
    multi-arch include directory.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 23 May 2022 21:14:45 +1000

unixodbc (2.3.11-1) unstable; urgency=medium

  * New upstream version 2.3.11:
    - Connection pooling via wide connection functions.
    - Various bug fixes and improvements.
  * debian/copyright: Update for unixODBC 2.3.11.
  * debian/patches:
    - Drop all patches (applied upstream).
    - Add patch to prevent installation of config.h.
  * debian/not-installed: Update excluded files list.
  * debian/rules: Build with a multi-arch ODBC driver path.
  * debian/watch: Switch to upstream's GitHub repository.
  * unixodbc-dev: Install unixodbc.h and unixODBC/unixodbc_conf.h.
  * Drop source Lintian overrides (no longer needed).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 13 May 2022 22:26:21 +1000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: unixodbc
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
+Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
 Build-Depends:
  debhelper-compat (= 13),
  libreadline-dev,
  libltdl-dev
 Build-Conflicts: unixodbc-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://www.unixodbc.org/
 Vcs-Git: https://salsa.debian.org/debian/unixodbc.git
